package lc.eo.sdk.schema;

import lc.eo.sdk.EO;

/**
 * This class implements a descriptive schema for an {@link EO}.
 *
 * @author Alex Leigh
 * @since mk20 (TOKYO PROTOCOL)
 */

public class ObjectSchema extends FieldBearer {
    private final String type;

    public ObjectSchema(String type) {
        super(type, false);
        this.type = type;
    }

    public String getType() {
        return type;
    }
}
